function p.__get_is_solid()
    return true
end

function p.__get_tex()
    return "block_hall"
end

function p.__main()
    set_default_block("r_hall")
    
    std.create_half_tube(3,"x_neg","e")
    std.create_center(5,"e")

    local msg_str = "Theoretically, by keeping track of which functions "
        .. "you call from the main function, "
        .. "you should be able to determine the block type "
        .. "of any position within the chunk.\n\n"
        .. "However, to make life easier, the function "
        .. "\"^x00ff00get_pos^!\" is provided for this purpose. "
        .. "This function returns the block type (as a string) "
        .. "of the specified block position. "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)
end
